import os
import sys

sys.path.append(os.path.dirname(sys.path[0]))

from utils.common_util import CommonUtil
from utils.secure_db_client import get_remote_engine

if __name__ == '__main__':
    site_name = CommonUtil.get_sys_arg(1, None)
    assert site_name is not None, "site_name 不能为空！"

    db_type = "mysql"
    import_tb = f"{site_name}_brand_st_exclude"
    cols = "id, search_term, created_at, updated_at"
    query = f"""
        select
            {cols}
        from {import_tb}
        where 1 = 1
        and \$CONDITIONS
    """

    hive_tb = "ods_brand_st_exclude"
    partition_dict = {
        "site_name": site_name
    }

    engine = get_remote_engine(
        site_name=site_name,
        db_type=db_type
    )

    engine.sqoop_raw_import(
        query=query,
        hive_table=hive_tb,
        partitions=partition_dict
    )

    pass
